### Enumeration

# AppStream ReviewsClientError

since: 1.1.4

#### Declaration

    error-domain AppStream.ReviewsClientError

#### Description [src]

A ratings client error.

Available since: 1.1.4

#### Members

`AS_REVIEWS_CLIENT_ERROR_FAILED`

  Generic failure.

  - Value: `0`
  - Available since: 1.1.4
`AS_REVIEWS_CLIENT_ERROR_NETWORK`

  Could not communicate with the ratings server.

  - Value: `1`
  - Available since: 1.1.4
`AS_REVIEWS_CLIENT_ERROR_PARSE`

  Data received from the server could not be parsed.

  - Value: `2`
  - Available since: 1.1.4

#### Type functions

###### as_reviews_client_error_quark

No description available.